liborigin2: /build/liborigin2/src/liborigin2/OriginParser.h File Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
/build/liborigin2/src/liborigin2/OriginParser.h File Reference
`#include "OriginObj.h"`
`#include "tree.hh"`

Go to the source code of this file.

## Classes
class | OriginParser

## Macros
#define | LOG_PRINT(logfile, args...)

## Functions
OriginParser * | createOrigin410Parser (const string &fileName)
OriginParser * | createOrigin500Parser (const string &fileName)
OriginParser * | createOrigin610Parser (const string &fileName)
OriginParser * | createOrigin700Parser (const string &fileName)
OriginParser * | createOrigin750Parser (const string &fileName)
OriginParser * | createOrigin800Parser (const string &fileName)
OriginParser * | createOrigin810Parser (const string &fileName)
OriginParser * | createOrigin850Parser (const string &fileName)

## Macro Definition Documentation

#define LOG_PRINT | ( |  | logfile,
|  |  | args...
| ) |  |

Value:
{\
int ioret = fprintf(logfile, args);\
assert(ioret>0);\
}

Referenced by OriginFile::OriginFile(), Origin700Parser::parse(), Origin410Parser::parse(), Origin610Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin750Parser::parse(), Origin750Parser::readColumnValues(), Origin750Parser::readExcelInfo(), Origin750Parser::readFunction(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), Origin750Parser::readMatrixInfo(), Origin750Parser::readMatrixValues(), Origin500Parser::readNotes(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), Origin750Parser::readParameters(), Origin750Parser::readProjectTree(), Origin610Parser::readResultsLog(), Origin800Parser::readResultsLog(), Origin800Parser::readSpreadInfo(), Origin750Parser::readSpreadInfo(), and Origin750Parser::readWindowProperties().

## Function Documentation

OriginParser* createOrigin410Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin500Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin610Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin700Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin750Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin800Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin810Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().

OriginParser* createOrigin850Parser | ( | const string & | fileName) |  |

Referenced by OriginFile::OriginFile().